# Visualization
TKV3d
Prs3d

# Prs3d_DatumAspect Class Reference

A framework to define the display of datums.
.

`#include <Prs3d_DatumAspect.hxx>`

Inheritance diagram for Prs3d_DatumAspect:

[legend]

## Public Member Functions

Standard_EXPORT | Prs3d_DatumAspect ()
| An empty framework to define the display of datums. .
Standard_EXPORT Handle_Prs3d_LineAspect | FirstAxisAspect () const
| Returns the attributes for display of the first axis. .
Standard_EXPORT Handle_Prs3d_LineAspect | SecondAxisAspect () const
| Returns the attributes for display of the second axis. .
Standard_EXPORT Handle_Prs3d_LineAspect | ThirdAxisAspect () const
| Returns the attributes for display of the third axis. .
Standard_EXPORT void | SetDrawFirstAndSecondAxis (const Standard_Boolean draw)
| Sets the DrawFirstAndSecondAxis attributes to active. .
Standard_EXPORT Standard_Boolean | DrawFirstAndSecondAxis () const
| Returns true if the first and second axes can be drawn. .
Standard_EXPORT void | SetDrawThirdAxis (const Standard_Boolean draw)
| Sets the DrawThirdAxis attributes to active. .
Standard_EXPORT Standard_Boolean | DrawThirdAxis () const
| Returns true if the third axis can be drawn. .
Standard_EXPORT void | SetAxisLength (const Standard_Real L1, const Standard_Real L2, const Standard_Real L3)
| Sets the lengths L1, L2 and L3 of the three axes. .
Standard_EXPORT Quantity_Length | FirstAxisLength () const
| Returns the length of the displayed first axis. .
Standard_EXPORT Quantity_Length | SecondAxisLength () const
| Returns the length of the displayed second axis. .
Standard_EXPORT Quantity_Length | ThirdAxisLength () const
| Returns the length of the displayed third axis. .
Standard_EXPORT void | Print (Standard_OStream &s) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Prs3d_LineAspect | myFirstAxisAspect
Handle_Prs3d_LineAspect | mySecondAxisAspect
Handle_Prs3d_LineAspect | myThirdAxisAspect
Standard_Boolean | myDrawFirstAndSecondAxis
Standard_Boolean | myDrawThirdAxis
Quantity_Length | myFirstAxisLength
Quantity_Length | mySecondAxisLength
Quantity_Length | myThirdAxisLength

## Constructor & Destructor Documentation

Standard_EXPORT Prs3d_DatumAspect::Prs3d_DatumAspect | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean Prs3d_DatumAspect::DrawFirstAndSecondAxis | ( |  | ) | const

Standard_EXPORT Standard_Boolean Prs3d_DatumAspect::DrawThirdAxis | ( |  | ) | const

Standard_EXPORT Handle_Prs3d_LineAspect Prs3d_DatumAspect::FirstAxisAspect | ( |  | ) | const

Standard_EXPORT Quantity_Length Prs3d_DatumAspect::FirstAxisLength | ( |  | ) | const

Standard_EXPORT const Prs3d_DatumAspect::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Prs3d_CompositeAspect.

Standard_EXPORT void Prs3d_DatumAspect::Print | ( | Standard_OStream & | s | ) | const

Standard_EXPORT Handle_Prs3d_LineAspect Prs3d_DatumAspect::SecondAxisAspect | ( |  | ) | const

Standard_EXPORT Quantity_Length Prs3d_DatumAspect::SecondAxisLength | ( |  | ) | const

Standard_EXPORT void Prs3d_DatumAspect::SetAxisLength | ( | const Standard_Real | L1,
|  | const Standard_Real | L2,
|  | const Standard_Real | L3
| ) |

Standard_EXPORT void Prs3d_DatumAspect::SetDrawFirstAndSecondAxis | ( | const Standard_Boolean | draw | ) |

Standard_EXPORT void Prs3d_DatumAspect::SetDrawThirdAxis | ( | const Standard_Boolean | draw | ) |

Standard_EXPORT Handle_Prs3d_LineAspect Prs3d_DatumAspect::ThirdAxisAspect | ( |  | ) | const

Standard_EXPORT Quantity_Length Prs3d_DatumAspect::ThirdAxisLength | ( |  | ) | const

## Field Documentation

Standard_Boolean Prs3d_DatumAspect::myDrawFirstAndSecondAxis `[private]`

Standard_Boolean Prs3d_DatumAspect::myDrawThirdAxis `[private]`

Handle_Prs3d_LineAspect Prs3d_DatumAspect::myFirstAxisAspect `[private]`

Quantity_Length Prs3d_DatumAspect::myFirstAxisLength `[private]`

Handle_Prs3d_LineAspect Prs3d_DatumAspect::mySecondAxisAspect `[private]`

Quantity_Length Prs3d_DatumAspect::mySecondAxisLength `[private]`

Handle_Prs3d_LineAspect Prs3d_DatumAspect::myThirdAxisAspect `[private]`

Quantity_Length Prs3d_DatumAspect::myThirdAxisLength `[private]`

The documentation for this class was generated from the following file:

- Prs3d_DatumAspect.hxx